You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Scopes
executions:read
Path Parameters
workflowCode
string
required
Path parameter to specify the workflow code.
Machine-friendly code of Workflow.
Pattern: ^[a-z][-A-Za-z0-9]*$
executionId
string<uuid>
required
Identifier of the resource in Payrails.
Query Parameters
waitWhile[status]
string
Request the server to wait until status no longer has the given value.
The server might return a response earlier than that and the client must be prepared to
re-issue the request in this case.
waitWhile[actionRequired]
string
Request the server to wait until actionRequired no longer has the given value.
The server might return a response earlier than that and the client must be prepared to
re-issue the request in this case.
waitWhile[lastStatusTime]
string<date-time>
Request the server to wait until the execution has a new status added after statusTime.
statusTime should be the latest status time of the execution at the moment of the call so that a new status would stop the wait.
The server might return a response earlier than that and the client must be prepared to
re-issue the request in this case.
Response
OK.
id
string<uuid>
required
ID of this execution.
status
object[]
required
Business-case dependent set of status tags of this execution. The order of statuses does not matter and should not be used for any logic.
Hide child attributes
status.code
string
required
Business-case dependent status code.
status.time
string<date-time>
required
When this execution status was set.
status.errors
object[]
The reason why the status was set, absent if the status isn't an error status.
Hide child attributes
status.errors.id
string<uuid>
required
Unique identifier of the error. Please use this value when reporting an issue to our team, so we can help you faster.
status.errors.code
string
required
Machine-friendly error code assigned to the error. Check the full list of possible values here.
status.errors.detail
string
required
Human-readable description about the error, its cause, and resolution.
status.errors.docUrl
string
Link to the specific documentation about this particular code.
status.errors.reason
object
Metadata providing more details about the reason of the error. The structure of this object varies according to the code.
createdAt
string<date-time>
required
When this execution was started.
merchantReference
string
required
Merchant-provided reference for the Execution. Commonly, the identifier of the order on the Merchant's system.
Example:
"order_15415"
holderReference
string
required
Merchant-provided reference for the transaction counterparty, i.e. the paying consumer.
holderId
string<uuid>
required
Unique identifier of the Holder in Payrails.
workflow
object
Workflow template from which the Executions are created.
Hide child attributes
workflow.code
string
required
Machine-friendly code of Workflow.
Pattern: ^[a-z][-A-Za-z0-9]*$
workflow.version
integer
required
Version of a Workflow Configuration.
amount
object
Amount of the execution.
Only present if an amount has been set on the execution via an action (lookup, authorize, etc.).
Hide child attributes
amount.value
string
required
Decimal amount of the major currency unit. Can be any precision.
Pattern: [0-9]+(\.[0-9]+)?
Example:
"12.50"
amount.currency
string
required
ISO 3-letter currency code.
Pattern: ^[A-Z]{3}$
Example:
"EUR"
meta
object
Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide. See Meta for every field.
Hide child attributes
meta.order
object
The order being placed on your system. See Meta.order for every field.
meta.customer
object
The customer placing the order. See Meta.customer for every field.
meta.clientContext
object
Data describing the customer's device or browser. See Meta.clientContext for every field.
meta.vendor
object
Description of a vendor that provides the order.
See Meta.vendor for every field.
meta.risk
object
Configuration values for the risk prevention check. See Meta.risk for every field.
meta.subscription
object
Configuration of a subscription process. See Meta.subscription for every field.
meta.tags
object
Additional meta fields to be sent to the payment providers which support metadata / tags.
For example, sent to Stripe as metadata.
Because these will always be PSP-specific, we do NOT recommend using these fields if they can actually be mapped to a generic field above.
meta.paymentMethods
object
Per-payment-method shopper input, namespaced by payment method code so each method's fields stay isolated. Only the entry matching the payment method being charged is read.
See Meta.paymentMethods for every field.
meta.upi
any
Deprecated. Use paymentMethods.upi instead; this location is still read as a fallback and will be removed once integrations have migrated.
See Meta.upi for every field.
initialResults
Action response · object[]
Results of the initialActions specified during execution creation.
Indexes of this array correspond one to one with those from initialActions,
each initial action reports their result here.
Hide child attributes
initialResults.httpCode
integer
required
The HTTP code returned by the action invocation.
initialResults.body
Initial Lookup action result · object
required
Initial Lookup action result
Initial Start Payment Session action result
Initial Payment Authorize action result
Hide child attributes
initialResults.body.name
enum<string>
required
Lookup the available payment methods and instruments.
Available options:
lookup
initialResults.body.actionId
string<uuid>
required
Unique identifier for this action execution. If its processing is done asynchronously, you will receive a notification with the same actionId.
initialResults.body.executedAt
string<date-time>
required
Date and time when execution of the Action was started.
initialResults.body.links
object
required
Links to the next possible actions that can be taken.
List of stored Payment Instruments for this Method that belong to the specified holder. By default, only includes the ones with status Created or Enabled.
System-wide unique identifier of the Instrument. If two Holders have the same instrument stored, this value will be the same for both, but the instrument and token IDs will be different. Cannot be used for payments, should only be used for analytics and fraud prevention.
Mastercard Transaction Link Identifier (TLID) of the transaction series this instrument belongs to. Returned by the card network on the initial cardholder-initiated transaction and required on economically related merchant-initiated transactions, such as recurring payments and installments, when the series spans payment providers.
Indicates whether the card is enrolled in a Flexible Credential or Flex Card program supported by the network - e.g. Visa Flexible Credential, Mastercard FlexCard.
Enum with values direct and redirect, direct is set only when a payment method does not require redirecting the end user to a provider page to proceed with authorization.
Links to the next possible actions that can be taken.
Hide child attributes
links.self
stringobject
required
links.lookup
stringobject
links.3ds
stringobject
links.authorize
stringobject
links.startPaymentSession
stringobject
links.capture
stringobject
links.refund
stringobject
links.cancel
stringobject
links.priceBreakdown
stringobject
links.consumerWait
stringobject
links.confirm
Confirm link · object
Link related information.
Hide child attributes
links.confirm.href
string
required
links.confirm.method
enum<string>
HTTP method that should be used to call the href.
Available options:
GET,
POST,
PUT,
PATCH,
DELETE
links.confirm.action
object
A prerequisite action, which needs to be executed prior calling the provided link.
requiredAction
object
Details of the next possible actions that can be taken.
Hide child attributes
requiredAction.type
enum<string>
required
Type of the required action.
Available options:
redirect,
confirm,
review,
wait,
collectInput
requiredAction.subType
enum<string>
Sub type of the required action.
Available options:
merchant,
client,
internal
requiredAction.description
string
Details of the required action.
requiredAction.href
string
URL to complete the required action.
requiredAction.method
enum<string>
HTTP method that should be used to call the href.
Available options:
GET,
POST,
PUT,
PATCH,
DELETE
requiredAction.clientConfig
object
Details for the client to indicate how an action needs to be performed.
Hide child attributes
requiredAction.clientConfig.renderMode
enum<string>
Indicates the visibility of the action when being performed on the client.
Available options:
hidden
requiredAction.action
object
Details of a prerequisite action, which needs to be executed prior calling the provided link.
Hide child attributes
requiredAction.action.expiresInSeconds
integer
Number of seconds the action stays valid. For a wait action it is how long the client keeps waiting for the outcome, and for a collectInput action how long the requested input, such as a passcode, stays valid.
requiredAction.action.schema
object
Fields the client displays or collects for the action, rendered like the instrumentDataSchema of a payment composition option. For a collectInput action, the collected values are submitted to the href of the required action.
Example:
{ "expiresInSeconds": 120, "schema": { "type": "object", "required": ["otp"], "properties": { "heading": { "type": "string", "title": "Enter the code STC Pay sent you by SMS at +966 5•• ••• 821", "ui:position": 1, "ui:inputType": "staticText" }, "otp": { "type": "string", "title": "OTP code", "pattern": "^[0-9]+$", "minLength": 0, "maxLength": 50, "ui:position": 2, "ui:inputType": "tel", "ui:placeholder": "Code from the SMS", "ui:autocomplete": "one-time-code", "errorMessage": { "required": "OTP code is required", "pattern": "Enter only the digits from the SMS", "maxLength": "The code is too long. Check the SMS." } }, "confirm": { "ui:position": 3, "ui:inputType": "confirm" } } } }
actionRequired
enum<string>
Action the customer needs to take to move the Execution state. A link with the same name should be used to continue.
Available options:
3ds,
confirm
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Payrails Docs","description":"Developer and operator documentation for Payrails, the payment operating system for global enterprises: payment orchestration across providers, PCI-compliant tokenization, analytics and reporting, Chargebacks, and the Payrails REST API.","colors":{"primary":"#D63D00","light":"#E4853A"},"logo":{"light":"https://mintcdn.com/payrails-42074109/knNnlxc2J__TB9tW/logo/light.svg?fit=max\u0026auto=format\u0026n=knNnlxc2J__TB9tW\u0026q=85\u0026s=2692c29175ef45b637b4e2df6e2da330","dark":"https://mintcdn.com/payrails-42074109/knNnlxc2J__TB9tW/logo/dark.svg?fit=max\u0026auto=format\u0026n=knNnlxc2J__TB9tW\u0026q=85\u0026s=651119b7fb40dda938e2f9a7a276ee1c"},"favicon":"https://mintcdn.com/payrails-42074109/zqk7oWHZbW3YniA1/favicon.png?fit=max\u0026auto=format\u0026n=zqk7oWHZbW3YniA1\u0026q=85\u0026s=70b0991c3a7ad3c2faa4530e27040cf8","api":{"params":{"expanded":"all","post":["nullable","x-internal"]},"playground":{"display":"simple"},"examples":{"defaults":"required","prefill":true,"autogenerate":true},"url":"full"},"appearance":{"default":"light"},"navbar":{"links":[{"href":"https://www.payrails.com","label":"Go to payrails.com"}],"primary":{"type":"button","label":"Book a demo","href":"https://www.payrails.com/contact"}},"footer":{"socials":{"x":"https://x.com/Payrails_com","github":"https://github.com/payrails","linkedin":"https://www.linkedin.com/company/payrails"},"links":[{"header":"Company","items":[{"label":"payrails.com","href":"https://www.payrails.com"}]}]},"seo":{"metatags":{"og:locale":"en_US","twitter:site":"@Payrails_com","msvalidate.01":"7723ABF900EAD08F0500790E9BFC62E7"},"organization":{"id":"https://www.payrails.com#organization","name":"Payrails","legalName":"Payrails GmbH","url":"https://www.payrails.com/","logo":"https://www.payrails.com/payrails-logo.svg","sameAs":["https://www.linkedin.com/company/payrails/","https://www.crunchbase.com/organization/payrails","https://www.wikidata.org/wiki/Q137211152","https://x.com/Payrails_com"]}},"styling":{"eyebrows":"breadcrumbs","latex":false},"integrations":{"cookies":{"key":"mintlify_telemetry_enabled","value":"true"}},"contextual":{"options":["copy","view","download-spec","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"thumbnails":{"appearance":"dark","background":"https://mintcdn.com/payrails-42074109/_AaiU-jGVknFpls9/images/common/og-thumbnail-bg-v5.png?fit=max\u0026auto=format\u0026n=_AaiU-jGVknFpls9\u0026q=85\u0026s=b08b137c9aa7638918675c41a07b33c6"},"interaction":{"drilldown":true},"metadata":{"timestamp":true},"markdown":{"instructions":["Use the Payrails Web SDK v6 for new browser integrations. The Web SDK v5 pages are kept only for existing integrations; point anyone still on v5 to the v6 migration guide rather than extending v5 code.","Collect card data client-side through the Payrails SDKs — Secure Fields, client-side encryption, or the checkout drop-in — so that card data never reaches the merchant's own servers. Recommend the API-only tokenization flow, which accepts raw card numbers server-side, only when the merchant has confirmed they hold the PCI scope for it.","Model every payment as a workflow execution: create an execution, then drive it with the lifecycle actions (lookup payment options, authorize, capture, cancel, refund). Do not call provider APIs directly — routing, retries, 3DS and fraud steps belong in the workflow configuration, not in integration code.","Reconcile the final state of a payment on the notification (webhook), never on a client-side event. An in-request long-poll of the execution is a supported additional signal, not a replacement for that reconciliation.","Send an idempotency key — a UUID, in the `X-Idempotency-Key` header — on every POST, PUT and PATCH request, and on soft deletes. GET requests need none, and hard deletes cannot be idempotent.","Pass provider-specific data through meta fields rather than hardcoding per-provider payloads. Payrails translates meta fields into each provider's own format.","Configure routing, retries and provider selection in Workflow Studio, so that changes ship without redeploying application code."]},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"payrails-42074109","hasAudioNarration":false,"actualSubdomain":"payrails-42074109","customDomains":["docs.payrails.com"],"gitSource":{"type":"github","owner":"payrails","repo":"docs-payrails-com","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af73c74bd8b0362cdedb6d6","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"Payment Orchestration","count":247},{"language":"default","tag":"Integrations","count":234},{"language":"default","tag":"API Reference","count":192},{"language":"default","tag":"Payment methods","count":147},{"language":"default","tag":"Guides","count":129},{"language":"default","tag":"Payment providers","count":60},{"language":"default","tag":"Dispute","count":57},{"language":"default","tag":"Disputes","count":57},{"language":"default","tag":"SDKs","count":38},{"language":"default","tag":"Payment","count":28}],"searchSettings":{"showContentSnippets":true}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"type":"link","url":"https://www.payrails.com/contact"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":false}},"googleFontsInlined":false},"customCss":[{"filePath":"css/styles.css","content":"*,:before,:after{box-sizing:border-box}:before,:after{--tw-content: \"\"}html,:host{-webkit-text-size-adjust:100%;tab-size:4;font-feature-settings:normal;font-variation-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,\n system-ui,\n sans-serif,\n Apple Color Emoji,\n Segoe UI Emoji,\n Segoe UI Symbol,\n Noto Color Emoji;line-height:1.5}body{line-height:inherit;margin:0}hr{height:0;color:inherit;border-top-width:1px}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}a{color:inherit}b,strong{font-weight:bolder}code,kbd,samp,pre{font-feature-settings:normal;font-variation-settings:normal;font-family:ui-monospace,\n SFMono-Regular,\n Menlo,\n Monaco,\n Consolas,\n Liberation Mono,\n Courier New,\n monospace;font-size:1em}small{font-size:80%}sub,sup{vertical-align:baseline;font-size:75%;line-height:0;position:relative}sub{bottom:-0.25em}sup{top:-0.5em}table{text-indent:0;border-color:inherit;border-collapse:collapse}button,select{text-transform:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}#page-context-menu-button{border-radius:var(--border-radius-sm) 0 0 var(--border-radius-sm)}#page-context-menu-button+button,#page-context-menu-button+*+button{border-left:none;border-radius:0 var(--border-radius-sm) var(--border-radius-sm) 0}.peer:not(.is-custom) [data-docs-theme] header+div,header#navbar>div.mx-auto{margin:0 auto;max-width:100rem}[data-active-nav-item=\"true\"]>button,[data-active-nav-item=\"true\"]>a{color:var(--accent)}#navbar>div.mx-auto div.h-16{height:calc(var(--spacing) * 13)}#navbar>div.mx-auto div.h-12{height:calc(var(--spacing) * 8)}@media (min-width: 1024px){#sidebar-content{margin-top:calc(var(--mintlify-slot-header-height, 7rem) - var(--spacing) * 21)}}#navbar>div.mx-auto button.h-9{height:calc(var(--spacing) * 8)}#topbar-cta-button a>div{height:calc(var(--spacing) * 8);padding:0 calc(var(--spacing) * 3.5);border:1px solid rgb(var(--gray-400) / 0.3);border-radius:8px;background:rgb(var(--background-light));color:rgb(var(--gray-500))}#topbar-cta-button a svg{display:none}#topbar-cta-button a:hover>div{color:rgb(var(--gray-800))}html.dark #topbar-cta-button a>div{border-color:rgb(var(--gray-600) / 0.3);background:rgb(var(--background-dark));color:rgb(var(--gray-300))}html.dark #topbar-cta-button a:hover>div{color:rgb(var(--gray-100))}#navbar.peer.is-not-custom.is-not-wide.is-not-center+div,#navbar+div .page-content{max-width:100rem;margin:0 auto}#content-container>div.max-w-5xl{max-width:70rem}.mdx-content a{color:var(--accent);text-decoration:none;\u0026:hover,\u0026:focus{color:var(--link-hover)}\u0026:active,\u0026:active:hover{color:var(--link-active)}}.mdx-content a.link:not(:has(div,img,picture)):not(.not-prose *){border-bottom:0;text-decoration-line:underline;text-decoration-thickness:max(1px, 0.0625rem);text-underline-offset:0.2em;text-decoration-skip-ink:auto;text-decoration-color:color-mix(in srgb, currentColor 70%, transparent);\u0026:hover,\u0026:focus,\u0026:has(>code){text-decoration-color:currentColor}}.callout .prose :where(h1,h2,h3,h4):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0}#content-area>#content{margin-bottom:calc(var(--spacing) * 8)}#content-area>:is(#content,[id^=\"api-playground\"])+div:not([id]){padding-bottom:calc(var(--spacing) * 6)}#footer.advanced-footer>div{padding-bottom:calc(var(--spacing) * 8);padding-top:calc(var(--spacing) * 8);gap:calc(var(--spacing) * 4)}#footer [data-testid=\"mode-switch-light\"],#footer [data-testid=\"mode-switch-dark\"],#footer [data-testid=\"mode-switch-system\"]{display:none}@media (min-width: 1024px){[role=\"group\"]:has(>[data-theme-preference-value]){width:fit-content;gap:2px;padding:1px}[role=\"group\"]>[data-theme-preference-value]{width:1.5rem;height:1.5rem}}html:not(.dark) #sidebar-content a.text-gray-700{color:rgb(var(--gray-700))}html:not(.dark) #sidebar-content a.text-gray-700:hover{color:rgb(var(--gray-950))}#navigation-items li>button[aria-expanded]{width:100%}#navigation-items li>button[aria-expanded]>div:first-child:has(>svg){order:1}#navigation-items li>button[aria-expanded]>div:first-child>svg{width:0.75rem}#navigation-items li>button[aria-expanded]>div:first-child>svg:not(.text-primary){color:rgb(var(--gray-500) / 0.8)}html.dark #navigation-items li>button[aria-expanded]>div:first-child>svg:not(.text-primary){color:rgb(var(--gray-400))}@media (hover: hover){#navigation-items li>button[aria-expanded]:hover>div:first-child>svg,html.dark #navigation-items li>button[aria-expanded]:hover>div:first-child>svg{color:inherit}}#navigation-items ul ul{margin-left:-0.5rem}html.dark :is(#content,#header>.prose,#table-of-contents),html.dark :is(#navbar,#sidebar-content,#content-area) .dark\\:text-gray-400,html.dark #footer a.dark\\:text-white\\/50{color:rgb(var(--gray-300))}html.dark :is(#navbar,#sidebar-content,#content-area) .dark\\:text-gray-400:hover,html.dark #footer a.dark\\:text-white\\/50:hover,html.dark #table-of-contents .toc-item:not([data-active])>a:hover{color:rgb(var(--gray-100))}html.dark #search-bar-entry{color:rgb(var(--gray-400))}html.dark #footer .dark\\:bg-gray-600{background-color:rgb(var(--gray-400))}html.dark #footer .dark\\:bg-gray-600:hover{background-color:rgb(var(--gray-200))}html.dark .sidebar-group-icon[src*=\"/images/icons/nav/\"]{filter:invert(0.9)}html:not(.dark) .nav-tag-pill-text{color:var(--button-primary-bg-active)}html:not(.dark) .text-green-700.bg-green-400\\/20{color:#166534}html:not(.dark) .text-yellow-700.bg-yellow-400\\/20{color:#854d0e}html:not(.dark) .text-orange-700.bg-orange-400\\/20{color:#9a3412}.text-\\[\\#FFFFFF\\].bg-\\[\\#2AB673\\]{background-color:#15803d}.text-\\[\\#FFFFFF\\].bg-\\[\\#C28C30\\]{background-color:#a16207}.text-\\[\\#FFFFFF\\].bg-\\[\\#DA622B\\]{background-color:#c2410c}html:not(.dark) [data-component-part=\"field-required-pill\"]{color:#b91c1c}html:not(.dark) [data-component-part=\"code-group-tab-bar\"] .text-gray-500:not(:hover){color:rgb(var(--gray-600))}html:not(.dark) [data-component-part=\"code-group-tab-bar\"] .text-primary{color:var(--button-primary-bg-hover)}html:not(.dark) [data-component-part=\"field-info-pill\"] .text-stone-400{color:rgb(var(--gray-600))}html.dark [data-component-part=\"field-info-pill\"] .dark\\:text-stone-500{color:rgb(var(--gray-400))}html.dark :is(#navbar a.dark\\:text-gray-200,#content-area a.dark\\:text-gray-50){color:rgb(var(--gray-50))}html.dark #content-area a.dark\\:text-gray-50:hover{color:var(--accent)}html.dark #content-area a.dark\\:text-gray-50>svg{color:rgb(var(--gray-400))}#table-of-contents .toc-item[data-active]>a{color:var(--accent)}@layer theme{.peer.is-custom~#footer.advanced-footer{display:flex!important;margin-top:auto!important}div:has(>.peer.is-custom~#footer.advanced-footer){display:flex!important;flex-direction:column;min-height:100vh}}#sidebar-content img[src^=\"https://assets.payrails.io/img/logos/\"],#sidebar-content img[src*=\"/images/icons/letters/\"],#sidebar-content img[src*=\"/images/icons/nav/\"]:not(.sidebar-group-icon){width:1.5rem;height:1.5rem;--tile-radius: 0.375rem;border-radius:var(--tile-radius)}#sidebar-content img[src*=\"/images/icons/nav/\"]:not(.sidebar-group-icon){padding:3px;background:var(--tag-neutral-bg)}#sidebar-content img[src^=\"https://assets.payrails.io/img/logos/\"],#sidebar-content img[src*=\"/images/icons/letters/\"],.prose img.page-logo,.provider-card-logo,.payment-method-logo{--tile: var(--tag-neutral-bg);--r: calc(var(--tile-radius) - 1px);background:radial-gradient(circle at 100% 100%, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) 1px 1px / var(--r) var(--r) no-repeat,\n radial-gradient(circle at 0 100%, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) calc(100% - 1px) 1px / var(--r) var(--r) no-repeat,\n radial-gradient(circle at 100% 0, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) 1px calc(100% - 1px) / var(--r) var(--r) no-repeat,\n radial-gradient(circle at 0 0, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) calc(100% - 1px) calc(100% - 1px) / var(--r) var(--r) no-repeat,\n linear-gradient(var(--tile), var(--tile)) center / calc(100% - 2px) calc(100% - 2 * var(--r)) no-repeat,\n linear-gradient(var(--tile), var(--tile)) center / calc(100% - 2 * var(--r)) calc(100% - 2px) no-repeat}@media (max-width: 767px){.expandable-content{margin:0!important;padding-left:6px!important;padding-right:0!important}.expandable-content .expandable{border-right:0;border-top-right-radius:0;border-bottom-right-radius:0}.expandable-content .expandable-content{min-width:16rem}.expandable-content:not(.expandable-content *){overflow-x:auto}.expandable-content .prose{padding-right:12px}.param-head div{min-width:0}[data-component-part=\"field-info-pill\"]{display:inline-block!important;max-width:100%;vertical-align:bottom}[data-component-part=\"field-info-pill\"]>span{display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:2;line-clamp:2;overflow:hidden}}.page-logos{display:flex;gap:0.75rem;margin:-1rem 0 1.75rem}.prose .page-logos picture{margin:0}.prose img.page-logo{display:block;width:3.5rem;height:3.5rem;margin:0;--tile-radius: 0.75rem;border-radius:var(--tile-radius);object-fit:contain}@media (prefers-reduced-motion: no-preference){html{scroll-behavior:smooth}}"},{"filePath":"css/vars.css","content":":root{--pr-orange: #d63d00;--pr-black: #000;--pr-white: #fff;--pr-heritage: #0a6cff;--pr-antalya-sea: #597991;--pr-dublin-ale: #e4853a;--pr-baku-brass: #8a725c;--pr-cairo-sand: #d6cbc1;--accent: rgb(var(--primary));--link-active: var(--button-primary-bg-active);--link-hover: var(--button-primary-bg-hover);--main-color: var(--pr-orange);--background: var(--pr-white);--badge-new-bg: #ffedd5;--badge-new-text: #ad3100;--bento-media-gradient-end: #100;--bento-media-gradient-start: #f34f12;--border-radius-sm: 4px;--border-hover: #d1d1d1;--border-subtle: #e5e5e5;--button-focus-outline: #09090b;--button-ghost-bg-active: #e4e4e7;--button-ghost-bg-hover: #f4f4f5;--button-ghost-text: #18181b;--button-primary-bg: var(--main-color);--button-primary-bg-active: #a32e00;--button-primary-bg-hover: #be3600;--button-primary-text: #fff;--button-quaternary-bg: #fff;--button-quaternary-bg-active: #e4e4e7;--button-quaternary-bg-hover: #f4f4f5;--button-quaternary-text: #18181b;--button-secondary-bg: transparent;--button-secondary-bg-active: #fadcc0;--button-secondary-bg-hover: #ffedd5;--button-secondary-border: #ad3100;--button-secondary-text: #ad3100;--button-tertiary-bg: #fff2e1;--button-tertiary-bg-active: #fed7aa;--button-tertiary-bg-hover: #ffedd5;--button-tertiary-text: #ad3100;--capability-chip-bg: #f0f6ff;--capability-chip-border: #d8e6ff;--capability-chip-text: #002e99;--container-gutter-default: 16px;--container-gutter-lg: 32px;--container-max-2xl: 1360px;--foreground: #000;--logo-fallback-0-bg: #eff6ff;--logo-fallback-0-text: #1d4ed8;--logo-fallback-1-bg: #f0fdf4;--logo-fallback-1-text: #15803d;--logo-fallback-2-bg: #fffbeb;--logo-fallback-2-text: #b45309;--logo-fallback-3-bg: #faf5ff;--logo-fallback-3-text: #7e22ce;--logo-fallback-4-bg: #fff1f2;--logo-fallback-4-text: #be123c;--logo-fallback-5-bg: #ecfeff;--logo-fallback-5-text: #0e7490;--status-in-progress: #f0b400;--status-in-progress-bg: #fff4d1;--status-in-progress-text: #7e6612;--status-live: #2ba027;--status-live-bg: #dbf6da;--status-live-text: #207c40;--surface-1: #fff;--surface-2: #f5f5f5;--surface-warm: #f1f0ec;--tag-neutral-bg: #f6f7fa;--tag-neutral-border: #f0f2f6;--tag-neutral-text: #3f4d67;--text-muted: #404040;--text-soft: #666c79;--text-strong: #171717;--text-subtle: #9ca3af}html.dark{--accent: rgb(var(--primary-light));--link-active: #c96f28;--link-hover: #f0a266}"},{"filePath":"snippets/general/card.css","content":".pr-card-group{container-type:inline-size;display:grid;gap:var(--space-4, 16px);margin:var(--space-4, 16px) 0}.pr-card-group--cols-1{grid-template-columns:1fr}.pr-card-group--cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.pr-card-group--cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.pr-card-group--cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}@container (max-width: 620px){.pr-card-group--cols-3,.pr-card-group--cols-4{grid-template-columns:repeat(2, minmax(0, 1fr))}}@container (max-width: 340px){.pr-card-group{grid-template-columns:1fr}}.pr-card{display:flex;flex-direction:column;height:100%;overflow:hidden;border:1px solid #e5e5e5;border-radius:1rem;background-color:#fff;box-shadow:0 1px 2px 0 rgb(0 0 0 / 0.05);text-decoration:none;transition:transform 0.2s ease,\n background 0.2s ease,\n box-shadow 0.2s ease}.pr-card:hover{background-color:#f5f5f5;box-shadow:0 10px 15px -3px rgb(0 0 0 / 0.1),\n 0 4px 6px -4px rgb(0 0 0 / 0.1)}.pr-card__image{display:block;background-size:cover;width:100%;height:auto;aspect-ratio:16 / 9;margin:0;object-fit:cover;background-color:#f3f4f6}.pr-card__body{display:flex;flex-direction:column;gap:0.5rem;height:100%;padding:1.5rem}.pr-card__header{display:flex;align-items:center;gap:0.5rem}.pr-card__icon{display:flex;flex-shrink:0;align-items:center;justify-content:center;width:2.5rem;height:2.5rem;border-radius:1rem;background-color:rgb(var(--primary) / 0.1);color:var(--accent)}.pr-card__body:not(:first-child){border-top:1px solid #e5e5e5}.pr-card__title{margin:0;font-size:1.25rem;font-weight:600;line-height:1.25rem;color:var(--foreground)}.pr-card__text{margin:0;font-size:0.875rem;font-weight:400;line-height:1.5rem;color:var(--text-muted)}.dark .pr-card{border-color:#262626;background-color:#171717}.dark .pr-card:hover,.dark .pr-card__image{background-color:#262626}.dark .pr-card__body:not(:first-child){border-top-color:#404040}.dark .pr-card__icon{background-color:#262626}.dark .pr-card__title{color:#fff}.dark .pr-card__text{color:#f5f5f5}.pr-card.hover-zoom{transform:scale(1);\u0026:hover,\u0026:focus{transform:scale(1.05) translateY(-2%)}}@media (prefers-reduced-motion: reduce){.pr-card.hover-zoom{transform:none;\u0026:hover,\u0026:focus{transform:none}}}.provider-card{display:flex;align-items:center;gap:0.75rem;text-align:left}.provider-card-logo{display:block;width:2.5rem;height:2.5rem;flex-shrink:0;overflow:hidden;--tile-radius: 0.5rem;border-radius:var(--tile-radius)}.provider-card-logo img{width:100%;height:100%;margin:0;object-fit:contain}.provider-card-logo-fallback{display:flex;align-items:center;justify-content:center;width:100%;height:100%;background:var(--tag-neutral-bg);color:var(--tag-neutral-text);font-size:1.25rem;font-weight:600;line-height:1}.provider-card-name,.provider-card-type{margin:0}.provider-card-name{font-weight:600}.provider-card-type{font-size:0.875rem;line-height:1.25rem;color:rgb(var(--gray-500))}.dark .provider-card-type{color:rgb(var(--gray-400))}"},{"filePath":"snippets/payment-methods/explorer.css","content":".payment-methods-explorer:empty{min-height:3000px}.payment-method-logo{display:inline-flex;width:28px;height:28px;flex-shrink:0;overflow:hidden;--tile-radius: 0.375rem;border-radius:var(--tile-radius)}.payment-method-logo img{width:100%;height:100%;margin:0;object-fit:contain}"},{"filePath":"snippets/integrations/filterable-list.css","content":".integrations-filter{container-type:inline-size}.integrations-filter:empty::before{content:\"\";display:block;height:184px}@container (min-width: 310px){.integrations-filter:empty::before{height:140px}}@container (min-width: 364px){.integrations-filter:empty::before{height:96px}}@container (min-width: 665px){.integrations-filter:empty::before{height:52px}}.integration-card{display:flex;flex-direction:column}.integration-card>.card{flex:1}.integration-card[hidden]{display:none!important}"}],"page":{"pagePath":"reference/getexecution","slug":"/reference/getexecution","pageMetadata":{"title":"Get an execution by ID","description":"Retrieve a workflow execution by ID with its status, amount, and action links, and use the waitWhile parameters to wait for a status change.","deprecated":null,"version":null,"sidebarTitle":"Get an execution by ID","openapi":"https://cdn.payrails.io/docs/api/openapi.min.json get /merchant/workflows/{workflowCode}/executions/{executionId}","href":"/reference/getexecution","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a workflow execution by ID with its status, amount, and action links, and use the waitWhile parameters to wait for a status change.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get an execution by ID","description":"Retrieve a workflow execution by ID with its status, amount, and action links, and use the waitWhile parameters to wait for a status change.","deprecated":null,"version":null,"sidebarTitle":"Get an execution by ID","openapi":"https://cdn.payrails.io/docs/api/openapi.min.json get /merchant/workflows/{workflowCode}/executions/{executionId}","href":"/reference/getexecution","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/payrails-42074109/138fc948c6832630/consent.js","/_mintlify/custom/payrails-42074109/6a6f8c8ba4227cb9/same-tab-links.js","/_mintlify/custom/payrails-42074109/6e438b650fe2798f/noindex-other-hosts.js"],"openApiReferenceData":{"operation":{"summary":"Get an execution by ID","x-mint":{"metadata":{"description":"Retrieve a workflow execution by ID with its status, amount, and action links, and use the waitWhile parameters to wait for a status change.","sidebarTitle":"Get an execution by ID"},"href":"/reference/getexecution"},"operationId":"getExecution","description":"Retrieve a workflow execution by ID with its status, amount, and action links, and use the waitWhile parameters to wait for a status change.","tags":["Executions"],"security":["e3074e19-374a-4414-80cf-2637a3f921c1"],"parameters":["416fad36-cb64-4f26-8f75-84ad19243c5c","11d85580-f7c8-4196-aba3-7a745257bb51","f52b65cc-78ac-4a3b-9efa-72e01b4bae91","96af0731-e17a-49af-8135-2df9a359c102","e97af54a-9fe0-4609-96df-5ebc3bf2ee2a"],"responses":{"200":"07651182-59db-487d-930c-7e773ec73fd8","400":"f3502cca-f12b-48b9-97d8-1b88ba722d32","401":"5a3b155e-ce9a-487d-8ee1-37dbfe61a309","403":"3aeb7d5b-ee05-4d3f-9e7b-17321c8748e1","404":"ec169f7c-94e1-4489-ad8e-9948408018dc","429":"a4e359b3-95ad-4995-8f7f-55678153afd0"},"method":"get","type":"path","servers":["9dfea23c-cc1c-41a6-884a-31ad4a771d46"],"path":"/merchant/workflows/{workflowCode}/executions/{executionId}","baseUrlOptions":["https://api.eu.staging.payrails.io"],"title":"Get an execution by ID","codeSamples":[],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[],"urlDisplay":"full"},"dependencies":{"parameters":{"416fad36-cb64-4f26-8f75-84ad19243c5c":{"name":"workflowCode","in":"path","description":"Path parameter to specify the workflow code.","required":true,"schema":{"type":"string","pattern":"^[a-z][-A-Za-z0-9]*$","description":"Path parameter to specify the workflow code.\nMachine-friendly code of Workflow.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"example":"payment-acceptance"},"11d85580-f7c8-4196-aba3-7a745257bb51":{"name":"executionId","in":"path","description":"Identifier of the resource in Payrails.","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"Identifier of the resource in Payrails.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"example":"d5454c2f-ae5e-44f3-8edf-f6dad64f005f"},"f52b65cc-78ac-4a3b-9efa-72e01b4bae91":{"name":"waitWhile[status]","in":"query","description":"Request the server to wait until `status` no longer has the given value.\nThe server might return a response earlier than that and the client must be prepared to\nre-issue the request in this case.\n","required":false,"schema":{"type":"string","isRequired":false,"description":"Request the server to wait until `status` no longer has the given value.\nThe server might return a response earlier than that and the client must be prepared to\nre-issue the request in this case.\n","uniqueKey":"","typeLabel":"string"},"example":"[\"created\",\"authorizeRequested\"]"},"96af0731-e17a-49af-8135-2df9a359c102":{"name":"waitWhile[actionRequired]","in":"query","description":"Request the server to wait until `actionRequired` no longer has the given value.\nThe server might return a response earlier than that and the client must be prepared to\nre-issue the request in this case.\n","required":false,"schema":{"type":"string","isRequired":false,"description":"Request the server to wait until `actionRequired` no longer has the given value.\nThe server might return a response earlier than that and the client must be prepared to\nre-issue the request in this case.\n","uniqueKey":"","typeLabel":"string"},"example":"\"\""},"e97af54a-9fe0-4609-96df-5ebc3bf2ee2a":{"name":"waitWhile[lastStatusTime]","in":"query","description":"Request the server to wait until the execution has a new status added after `statusTime`.\n`statusTime` should be the latest status time of the execution at the moment of the call so that a new status would stop the wait.\nThe server might return a response earlier than that and the client must be prepared to\nre-issue the request in this case.\n","required":false,"schema":{"type":"string","format":"date-time","isRequired":false,"description":"Request the server to wait until the execution has a new status added after `statusTime`.\n`statusTime` should be the latest status time of the execution at the moment of the call so that a new status would stop the wait.\nThe server might return a response earlier than that and the client must be prepared to\nre-issue the request in this case.\n","uniqueKey":"","typeLabel":"string\u003cdate-time>"},"example":"2023-02-16T08:48:41.119822269Z"}},"responses":{"07651182-59db-487d-930c-7e773ec73fd8":{"description":"OK.","content":{"application/json":{"schema":{"type":"object","required":["id","status","createdAt","merchantReference","holderReference","holderId"],"properties":{"id":{"type":"string","format":"uuid","description":"ID of this execution.","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"status":{"type":"array","description":"Business-case dependent set of status tags of this execution. The order of statuses does not matter and should not be used for any logic.","items":{"type":"object","required":["code","time"],"properties":{"code":{"type":"string","description":"Business-case dependent status code.","isRequired":true,"uniqueKey":"status.items.[INDEX].code","typeLabel":"string"},"time":{"type":"string","format":"date-time","description":"When this execution status was set.","isRequired":true,"uniqueKey":"status.items.[INDEX].time","typeLabel":"string\u003cdate-time>"},"errors":{"type":"array","description":"The reason why the status was set, absent if the status isn't an error status.","items":{"type":"object","description":"Error struct that includes the error, cause, reason, and possible resolutions. Check the full documentation [here](https://docs.payrails.com/docs/resources/error-codes#error-structure).","required":["id","code","detail"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the error. Please use this value when reporting an issue to our team, so we can help you faster.","isRequired":true,"uniqueKey":"status.items.[INDEX].errors.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"code":{"type":"string","description":"Machine-friendly error code assigned to the error. Check the full list of possible values [here](https://docs.payrails.com/docs/resources/error-codes#list-of-error-codes).","isRequired":true,"uniqueKey":"status.items.[INDEX].errors.items.[INDEX].code","typeLabel":"string"},"detail":{"type":"string","description":"Human-readable description about the error, its cause, and resolution.","isRequired":true,"uniqueKey":"status.items.[INDEX].errors.items.[INDEX].detail","typeLabel":"string"},"docUrl":{"type":"string","description":"Link to the specific documentation about this particular `code`.","uniqueKey":"status.items.[INDEX].errors.items.[INDEX].docUrl","typeLabel":"string"},"reason":{"type":"object","additionalProperties":true,"description":"Metadata providing more details about the reason of the error. The structure of this object varies according to the `code`.","uniqueKey":"status.items.[INDEX].errors.items.[INDEX].reason","typeLabel":"object"}},"uniqueKey":"status.items.[INDEX].errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"status.items.[INDEX].errors","typeLabel":"object[]"}},"uniqueKey":"status.items.[INDEX]","typeLabel":"object"},"uniqueItems":true,"isRequired":true,"uniqueKey":"status","typeLabel":"object[]"},"createdAt":{"type":"string","format":"date-time","description":"When this execution was started.","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"merchantReference":{"type":"string","description":"Merchant-provided reference for the Execution. Commonly, the identifier of the order on the Merchant's system.","example":"order_15415","isRequired":true,"uniqueKey":"merchantReference","typeLabel":"string"},"holderReference":{"type":"string","description":"Merchant-provided reference for the transaction counterparty, i.e. the paying consumer.","isRequired":true,"uniqueKey":"holderReference","typeLabel":"string"},"holderId":{"type":"string","format":"uuid","description":"Unique identifier of the Holder in Payrails.","isRequired":true,"uniqueKey":"holderId","typeLabel":"string\u003cuuid>"},"workflow":{"type":"object","description":"Workflow template from which the Executions are created.","required":["code","version"],"properties":{"code":{"type":"string","pattern":"^[a-z][-A-Za-z0-9]*$","description":"Machine-friendly code of Workflow.","isRequired":true,"uniqueKey":"workflow.code","typeLabel":"string"},"version":{"type":"integer","description":"Version of a Workflow Configuration.","isRequired":true,"uniqueKey":"workflow.version","typeLabel":"integer"}},"uniqueKey":"workflow","typeLabel":"object"},"amount":{"type":"object","required":["value","currency"],"properties":{"value":{"type":"string","pattern":"[0-9]+(\\.[0-9]+)?","example":"12.50","description":"Decimal amount of the major currency unit. Can be any precision.","isRequired":true,"uniqueKey":"amount.value","typeLabel":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","example":"EUR","description":"ISO 3-letter currency code.","isRequired":true,"uniqueKey":"amount.currency","typeLabel":"string"}},"description":"Amount of the execution.\nOnly present if an amount has been set on the execution via an action (lookup, authorize, etc.).\n","uniqueKey":"amount","typeLabel":"object"},"meta":{"type":"object","additionalProperties":true,"description":"Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our [Meta Fields guide](https://docs.payrails.com/docs/orchestration/meta-fields). See [Meta](/reference/meta) for every field.","properties":{"order":{"type":"object","description":"The order being placed on your system. See [Meta.order](/reference/meta#schema-order) for every field.","uniqueKey":"meta.order","typeLabel":"object"},"customer":{"type":"object","description":"The customer placing the order. See [Meta.customer](/reference/meta#schema-customer) for every field.","uniqueKey":"meta.customer","typeLabel":"object"},"clientContext":{"type":"object","description":"Data describing the customer's device or browser. See [Meta.clientContext](/reference/meta#schema-client-context) for every field.","uniqueKey":"meta.clientContext","typeLabel":"object"},"vendor":{"type":"object","description":"Description of a vendor that provides the order.\n See [Meta.vendor](/reference/meta#schema-vendor) for every field.","uniqueKey":"meta.vendor","typeLabel":"object"},"risk":{"type":"object","description":"Configuration values for the risk prevention check. See [Meta.risk](/reference/meta#schema-risk) for every field.","uniqueKey":"meta.risk","typeLabel":"object"},"subscription":{"type":"object","description":"Configuration of a subscription process. See [Meta.subscription](/reference/meta#schema-subscription) for every field.","uniqueKey":"meta.subscription","typeLabel":"object"},"tags":{"type":"object","description":"Additional meta fields to be sent to the payment providers which support metadata / tags.\nFor example, sent to [Stripe as metadata](https://docs.stripe.com/api/metadata).\nBecause these will always be PSP-specific, we do NOT recommend using these fields if they can actually be mapped to a generic field above.\n","uniqueKey":"meta.tags","typeLabel":"object"},"paymentMethods":{"type":"object","description":"Per-payment-method shopper input, namespaced by payment method code so each method's fields stay isolated. Only the entry matching the payment method being charged is read.\n See [Meta.paymentMethods](/reference/meta#schema-payment-methods) for every field.","uniqueKey":"meta.paymentMethods","typeLabel":"object"},"upi":{"description":"Deprecated. Use paymentMethods.upi instead; this location is still read as a fallback and will be removed once integrations have migrated.\n See [Meta.upi](/reference/meta#schema-upi) for every field.","uniqueKey":"meta.upi","typeLabel":"any"}},"uniqueKey":"meta","typeLabel":"object"},"initialResults":{"description":"Results of the `initialActions` specified during execution creation.\nIndexes of this array correspond one to one with those from `initialActions`,\neach initial action reports their result here.\n","type":"array","items":{"type":"object","title":"Action response","required":["httpCode","body"],"properties":{"httpCode":{"type":"integer","description":"The HTTP code returned by the action invocation.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].httpCode","typeLabel":"integer"},"body":{"oneOf":[{"type":"object","title":"Initial Lookup action result","required":["data","name","actionId","executedAt","links"],"properties":{"name":{"type":"string","description":"Lookup the available payment methods and instruments.","enum":["lookup"],"isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.name","typeLabel":"enum\u003cstring>"},"actionId":{"type":"string","format":"uuid","description":"Unique identifier for this action execution. If its processing is done asynchronously, you will receive a notification with the same `actionId`.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.actionId","typeLabel":"string\u003cuuid>"},"executedAt":{"type":"string","format":"date-time","description":"Date and time when execution of the Action was started.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.executedAt","typeLabel":"string\u003cdate-time>"},"links":{"type":"object","description":"Links to the next possible actions that can be taken.","required":["execution"],"properties":{"execution":{"oneOf":[{"type":"string","description":"URL to fetch the current execution state.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.execution.oneOf.0","typeLabel":"string"},{"type":"object","description":"URL to fetch the current execution state.","required":["href"],"properties":{"href":{"type":"string","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.execution.oneOf.1.href","typeLabel":"string"},"method":{"type":"string","description":"HTTP method that should be used to call the `href`.","enum":["GET","POST","PUT","PATCH","DELETE"],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.execution.oneOf.1.method","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.execution.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.execution","typeLabel":"string | object"},"authorize":{"oneOf":[{"type":"string","description":"URL to authorize the current execution.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.authorize.oneOf.0","typeLabel":"string"},{"type":"object","description":"URL to authorize the current execution.","required":["href"],"properties":{"href":{"type":"string","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.authorize.oneOf.1.href","typeLabel":"string"},"method":{"type":"string","description":"HTTP method that should be used to call the `href`.","enum":["GET","POST","PUT","PATCH","DELETE"],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.authorize.oneOf.1.method","typeLabel":"enum\u003cstring>"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.authorize.oneOf.1","typeLabel":"object"}],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.authorize","typeLabel":"string | object"},"startPaymentSession":{"oneOf":[{"type":"string","description":"URL to start a payment session.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.startPaymentSession.oneOf.0","typeLabel":"string"},{"type":"object","description":"URL to start a payment session.","required":["href"],"properties":{"href":{"type":"string","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.startPaymentSession.oneOf.1.href","typeLabel":"string"},"method":{"type":"string","description":"HTTP method that should be used to call the `href`.","enum":["GET","POST","PUT","PATCH","DELETE"],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.startPaymentSession.oneOf.1.method","typeLabel":"enum\u003cstring>"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.startPaymentSession.oneOf.1","typeLabel":"object"}],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links.startPaymentSession","typeLabel":"string | object"}},"isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.links","typeLabel":"object"},"data":{"type":"object","description":"Lookup action results.","required":["paymentCompositionOptions"],"properties":{"paymentCompositionOptions":{"type":"array","description":"List of Payment Methods and Payment Instruments that can be used to complete the execution.","items":{"type":"object","required":["integrationType","description"],"properties":{"integrationType":{"type":"string","enum":["api","hpp","inperson"],"description":"Code of the integration type for using the payment method in the provider.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].integrationType","typeLabel":"enum\u003cstring>"},"description":{"type":"string","description":"Description of the Payment Method.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].description","typeLabel":"string"},"paymentMethodCode":{"type":"string","enum":["alexBankMa7fazty","amazonPay","applePay","audi2pay","alfa","alipay","bankTransfer","card","2c2p","capitecPay","cibSmartWallet","easypaisa","etisalatCash","fawryMobileWallet","fawryPay","googlePay","jazzCash","mercadoPago","monoDirectDebit","nbePhoneCash","orangeCash","oPayWallet","pagaWallet","payflex","payjustnow","payPal","pix","konnect","qnbEWallet","wafaCashWallet","weCash","genericRedirect","eftPro","upi","upiDirect","cashFreeWallet","paytmMWallet","netBanking","meezaWallet","vodafoneCash","alipayQRCode","sepaDirectDebit","sepaDirectDebitDirect","dcb","bankAccount","modo","ach","payzoneCash","revolutPay","lean","tabby","boleto","oxxo","spei","promptPay","qris","momoVN","vietQR","konbini","touchNGo","gCash","maya","pse","pagoEfectivo","napas","duitNowQR","grabPay","shopeePay","nequi","picPay","ovo","trueMoney","iDeal","iDealDirect","bancontact","mbWay","mbWayDirect","khipu","razerGold","webPay","smartPix","venmo","klarnaPayLater","klarnaPayNow","klarnaPayOverTime","knet","scalapay","bizum","payNow","atome","fpx","swish","bcp","kiosk","sbp","wero"],"description":"Code of the payment method selected to perform the payment.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentMethodCode","typeLabel":"enum\u003cstring>"},"providerCode":{"type":"string","description":"Provider code for which the payment composition option is available.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].providerCode","typeLabel":"string"},"providerData":{"type":"object","additionalProperties":true,"description":"Provider-specific data needed by to use the payment method for a payment.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].providerData","typeLabel":"object"},"paymentInstruments":{"type":"array","description":"List of stored Payment Instruments for this Method that belong to the specified holder. By default, only includes the ones with status `Created` or `Enabled`.","items":{"type":"object","required":["id","holderId","paymentMethod","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid","description":"Id of the instrument.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"createdAt":{"type":"string","format":"date-time","description":"Date and time when the Instrument was created in Payrails.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","description":"When the Instrument was last updated.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].updatedAt","typeLabel":"string\u003cdate-time>"},"holderId":{"type":"string","format":"uuid","description":"Unique identifier of the Holder in Payrails.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].holderId","typeLabel":"string\u003cuuid>"},"paymentMethod":{"type":"string","description":"Represents the payment method type.","enum":["alexBankMa7fazty","applePay","audi2pay","bankAccount","card","2c2p","vietQR","cibSmartWallet","easypaisa","etisalatCash","fawryMobileWallet","fawryPay","googlePay","jazzCash","nbePhoneCash","orangeCash","payPal","qnbEWallet","weCash","genericRedirect","alfa","konnect","eftPro","netBanking","upi","upiDirect","cashFreeWallet","paytmWallet","phonePe","iDeal","iDealDirect","bancontact","mbWay","mbWayDirect","sepaDirectDebit","sepaDirectDebitDirect","klarnaPayLater","klarnaPayNow","klarnaPayOverTime","scalapay","payNow","atome","fpx","swish","sbp","wero"],"isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].paymentMethod","typeLabel":"enum\u003cstring>"},"status":{"type":"string","description":"Status of the instrument.","enum":["created","deleted","enabled","disabled","transient"],"isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"displayName":{"type":"string","description":"Instrument name suitable for display.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].displayName","typeLabel":"string"},"description":{"type":"string","description":"Description of the instrument.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].description","typeLabel":"string"},"default":{"oneOf":[{"type":"boolean","description":"True if this instrument is set as default for the holder.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].default.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"True if this instrument is set as default for the holder.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].default.oneOf.1","typeLabel":"null"}],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].default","typeLabel":"boolean | null"},"merchantReference":{"type":"string","description":"Merchant-provided reference for the instrument.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].merchantReference","typeLabel":"string"},"fingerprint":{"type":"string","description":"System-wide unique identifier of the Instrument. If two Holders have the same instrument stored, this value will be the same for both, but the instrument and token IDs will be different. Cannot be used for payments, should only be used for analytics and fraud prevention.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].fingerprint","typeLabel":"string"},"futureUsage":{"type":"string","description":"Represents the future usage to define the payment flows that the stored instrument will be used for.","enum":["Subscription","CardOnFile","UnscheduledCardOnFile"],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].futureUsage","typeLabel":"enum\u003cstring>"},"networkTransactionReference":{"type":"string","description":"Identifier of the initial payment made with this instrument on the Networks, e.g. Mastercard Trace ID or Visa Transaction ID.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].networkTransactionReference","typeLabel":"string"},"transactionLinkId":{"type":"string","description":"Mastercard Transaction Link Identifier (TLID) of the transaction series this instrument belongs to. Returned by the card network on the initial cardholder-initiated transaction and required on economically related merchant-initiated transactions, such as recurring payments and installments, when the series spans payment providers.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].transactionLinkId","typeLabel":"string"},"data":{"oneOf":[{"type":"object","title":"Card","description":"Type-specific information about the instrument.","required":["network","bin","suffix"],"properties":{"network":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.network","typeLabel":"enum\u003cstring>"},"bin":{"type":"string","minLength":6,"maxLength":8,"description":"First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).","example":"416598","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.bin","typeLabel":"string"},"suffix":{"type":"string","minLength":4,"maxLength":4,"description":"Last digits of the Card number.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.suffix","typeLabel":"string"},"preferredScheme":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.preferredScheme","typeLabel":"enum\u003cstring>"},"binLookup":{"description":"Information about an issuer by the given BIN (or IIN).","type":"object","required":["bin"],"properties":{"bin":{"type":"string","minLength":6,"maxLength":8,"description":"First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).","example":"416598","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.bin","typeLabel":"string"},"network":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.network","typeLabel":"enum\u003cstring>"},"localNetwork":{"description":"Card local network that supports the card, e.g. CartesBancaires, Dankort, Mada, Bancontact.","type":"string","enum":["bancontact","cartesbancaires","dankort","mada"],"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.localNetwork","typeLabel":"enum\u003cstring>"},"issuer":{"type":"string","description":"Name of the bank or institution that issued the card.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.issuer","typeLabel":"string"},"issuerCountry":{"description":"Country of the bank or institution that issued the card.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.issuerCountry.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.issuerCountry.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.issuerCountry.name","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.issuerCountry","typeLabel":"object"},"segment":{"type":"string","description":"Segment of the card, e.g. gold, black, business.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.segment","typeLabel":"string"},"type":{"type":"string","description":"Type of the card, e.g. credit, debit, prepaid, gift.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.type","typeLabel":"string"},"typeDetails":{"type":"string","description":"More information about the card type, e.g. personal, commercial.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.typeDetails","typeLabel":"string"},"isNetworkToken":{"type":"boolean","description":"Indicates whether the card credential represents a network token rather than a primary account number (PAN).\n","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.isNetworkToken","typeLabel":"boolean"},"isFlexCard":{"type":"boolean","description":"Indicates whether the card is enrolled in a Flexible Credential or Flex Card program supported by the network - e.g. Visa Flexible Credential, Mastercard FlexCard.\n","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup.isFlexCard","typeLabel":"boolean"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.binLookup","typeLabel":"object"},"billingAddress":{"description":"Billing Address of the instrument.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.country.name","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude of the address in the GPS coordinate system.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.longitude","typeLabel":"number\u003cfloat>"},"phone":{"description":"The phone to contact in the address (can be different that the customer's).","type":"object","required":["number"],"properties":{"number":{"type":"string","pattern":"^[0-9]+$","description":"The local number of the phone, such that `countryCode` + `number` can be dialed.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.phone.number","typeLabel":"string"},"countryCode":{"type":"string","pattern":"^\\+?[0-9]+$","description":"International prefix of the phone, if known separately.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.phone.countryCode","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.phone","typeLabel":"object"},"alias":{"type":"string","description":"Name of the address, e.g. home, work.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.alias","typeLabel":"string"},"name":{"type":"string","description":"Name of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.name","typeLabel":"string"},"lastName":{"type":"string","description":"Last name of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.lastName","typeLabel":"string"},"email":{"type":"string","description":"Email of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress.email","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.billingAddress","typeLabel":"object"},"expiryMonth":{"type":"string","minLength":2,"maxLength":2,"description":"Expiry month of the Card.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.expiryMonth","typeLabel":"string"},"expiryYear":{"type":"string","minLength":4,"maxLength":4,"description":"Expiry year of the Card.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.expiryYear","typeLabel":"string"},"holderName":{"type":"string","description":"Name of the owner of the Card.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.holderName","typeLabel":"string"},"taxId":{"type":"string","description":"Payer-provided tax identification number (e.g. CPF in Brazil) collected on the instrument.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0.taxId","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.0","typeLabel":"Card · object"},{"type":"object","title":"BankAccount","description":"Type-specific information about the instrument.","properties":{"holder":{"type":"object","description":"The data structure for a holder's personal information.","properties":{"firstName":{"type":"string","description":"The first name of the account holder.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.firstName","typeLabel":"string"},"lastName":{"type":"string","description":"The last name of the account holder.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.lastName","typeLabel":"string"},"companyName":{"type":"string","description":"The company name for business holders.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.companyName","typeLabel":"string"},"address":{"description":"The address of the account holder.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.country.name","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude of the address in the GPS coordinate system.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.longitude","typeLabel":"number\u003cfloat>"},"phone":{"description":"The phone to contact in the address (can be different that the customer's).","type":"object","required":["number"],"properties":{"number":{"type":"string","pattern":"^[0-9]+$","description":"The local number of the phone, such that `countryCode` + `number` can be dialed.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.phone.number","typeLabel":"string"},"countryCode":{"type":"string","pattern":"^\\+?[0-9]+$","description":"International prefix of the phone, if known separately.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.phone.countryCode","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.phone","typeLabel":"object"},"alias":{"type":"string","description":"Name of the address, e.g. home, work.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.alias","typeLabel":"string"},"name":{"type":"string","description":"Name of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.name","typeLabel":"string"},"lastName":{"type":"string","description":"Last name of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.lastName","typeLabel":"string"},"email":{"type":"string","description":"Email of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address.email","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.address","typeLabel":"object"},"email":{"type":"string","format":"email","description":"The email address of the account holder.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.email","typeLabel":"string\u003cemail>"},"dob":{"type":"string","format":"date","description":"The date of birth of the account holder (YYYY-MM-DD).","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.dob","typeLabel":"string\u003cdate>"},"country":{"description":"The country of the account holder.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.country.name","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.country","typeLabel":"object"},"city":{"type":"string","description":"The city of the account holder.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.city","typeLabel":"string"},"type":{"type":"string","enum":["individual","corporate"],"description":"The type of account holder.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.holder","typeLabel":"object"},"bank":{"type":"object","description":"The data structure for a bank's information.","properties":{"name":{"type":"string","description":"The name of the bank.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.name","typeLabel":"string"},"branchCode":{"type":"string","description":"The branch code of the bank.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.branchCode","typeLabel":"string"},"code":{"type":"string","description":"The bank code.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.code","typeLabel":"string"},"address":{"description":"The address of the bank.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.country.name","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude of the address in the GPS coordinate system.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.longitude","typeLabel":"number\u003cfloat>"},"phone":{"description":"The phone to contact in the address (can be different that the customer's).","type":"object","required":["number"],"properties":{"number":{"type":"string","pattern":"^[0-9]+$","description":"The local number of the phone, such that `countryCode` + `number` can be dialed.","isRequired":true,"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.phone.number","typeLabel":"string"},"countryCode":{"type":"string","pattern":"^\\+?[0-9]+$","description":"International prefix of the phone, if known separately.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.phone.countryCode","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.phone","typeLabel":"object"},"alias":{"type":"string","description":"Name of the address, e.g. home, work.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.alias","typeLabel":"string"},"name":{"type":"string","description":"Name of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.name","typeLabel":"string"},"lastName":{"type":"string","description":"Last name of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.lastName","typeLabel":"string"},"email":{"type":"string","description":"Email of the person to whom the address belongs to.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address.email","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.address","typeLabel":"object"},"swiftCode":{"type":"string","description":"The SWIFT/BIC code of the bank.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank.swiftCode","typeLabel":"string"}},"uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.bank","typeLabel":"object"},"account":{"type":"object","description":"The data structure for an account's information.","properties":{"number":{"type":"string","description":"The bank account number.","uniqueKey":"initialResults.items.[INDEX].body.oneOf.0.data.paymentCompositionOptions.items.[INDEX].paymentInstruments.items.[INDEX].data.oneOf.1.account.number","typeLabel":"string"},"iban":{"type":"string","description":"The International Bank Account Number (IBAN).","uniqueKey":"initialResults.i
[...]
